<!DOCTYPE HTML>

<html xml:lang="en" xmlns:th="http://www.thymeleaf.org/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.thymeleaf.org/ ">

<head>
    <title>Small message</title>
    <link rel="stylesheet" href="css/message.css">
    <meta name="viewport" content="width=device-width">
</head>

<body>

    <article class="message"  th:fragment="receivedMessage" th:each="message : ${session.messages}" th:classappend="${message.stateRead==0} ? not-readed : readed ">
        <p class="from"><span class="bold">From: </span><span th:text="${message.sender.username}"></span></p>
        <p class="to"><span class="bold">To: </span><span  th:text="${message.receiver.username}"></span></p>
        <p class="title"><span class="bold">Title: </span><span  th:text="${message.title}"></span></p>

        <div class="buttons">
            <a class="msg_buttons readButton" th:href="@{/changeMessageState?messageId={id}(id=${message.messageId})}"><img class="icons" src="/images/letter_icon.jpg" alt="Letter read"></a>
            <a class="msg_buttons" th:href="@{/deleteMessage?messageId={id}(id=${message.messageId})}"><img class="icons" src="/images/delete_icon.jpg" alt="Delete message"></a>
        </div>
    </article>

    <article class="message" th:fragment="sentMessage" th:each="message : ${session.messages}" th:classappend="${message.stateRead==0} ? not-readed : readed ">
        <p class="from"><span class="bold">From: </span><span th:text="${message.sender.username}"></span></p>
        <p class="to"><span class="bold">To: </span><span  th:text="${message.receiver.username}"></span></p>
        <p class="title"><span class="bold">Title: </span><span  th:text="${message.title}"></span></p>

        <div class="buttons">
            <a class="msg_buttons" th:href="@{/deleteMessage?messageId={id}(id=${message.messageId})}"><img class="icons" src="/images/delete_icon.jpg" alt="Delete message"></a>
        </div>
    </article>

</body>

</html>